org.apache.ignite.internal.igfs.common

## Enum IgfsIpcCommand

- java.lang.Object
- - java.lang.Enum<IgfsIpcCommand>
  - - org.apache.ignite.internal.igfs.common.IgfsIpcCommand

All Implemented Interfaces:
  Serializable, Comparable<IgfsIpcCommand>

    public enum IgfsIpcCommand
    extends Enum<IgfsIpcCommand>

Grid file system commands to call remotely.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AFFINITY` Get affinity block locations for data blocks of the file.
`CLOSE` Close stream.
`CONTROL_RESPONSE` Server response.
`DELETE` Delete file.
`EXISTS` Check specified path exists in the file system.
`HANDSHAKE` Handshake command which will send information necessary for client to handle requests correctly.
`INFO` Get information for the file in specified path.
`LIST_FILES` List files under the specified path.
`LIST_PATHS` List files under the specified path.
`MAKE_DIRECTORIES` Make directories.
`OPEN_APPEND` Open existent file as output stream to append data to.
`OPEN_CREATE` Create file and open output stream for writing data to.
`OPEN_READ` Open file for reading as an input stream.
`PATH_SUMMARY` Get directory summary.
`READ_BLOCK` Read file's data block.
`RENAME` Rename file.
`SET_TIMES` Updates last access and last modification time for a path.
`STATUS` IGFS status (free/used space).
`UPDATE` Update information for the file in specified path.
`WRITE_BLOCK` Write file's data block.

### Method Summary

Methods
`static IgfsIpcCommand` `valueOf(int ordinal)` Resolve command by its ordinal.
`static IgfsIpcCommand` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IgfsIpcCommand[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HANDSHAKE

    public static final IgfsIpcCommand HANDSHAKE

Handshake command which will send information necessary for client to handle requests correctly.

#### STATUS

    public static final IgfsIpcCommand STATUS

IGFS status (free/used space).

#### EXISTS

    public static final IgfsIpcCommand EXISTS

Check specified path exists in the file system.

#### INFO

    public static final IgfsIpcCommand INFO

Get information for the file in specified path.

#### PATH_SUMMARY

    public static final IgfsIpcCommand PATH_SUMMARY

Get directory summary.

#### UPDATE

    public static final IgfsIpcCommand UPDATE

Update information for the file in specified path.

#### RENAME

    public static final IgfsIpcCommand RENAME

Rename file.

#### DELETE

    public static final IgfsIpcCommand DELETE

Delete file.

#### MAKE_DIRECTORIES

    public static final IgfsIpcCommand MAKE_DIRECTORIES

Make directories.

#### LIST_PATHS

    public static final IgfsIpcCommand LIST_PATHS

List files under the specified path.

#### LIST_FILES

    public static final IgfsIpcCommand LIST_FILES

List files under the specified path.

#### AFFINITY

    public static final IgfsIpcCommand AFFINITY

Get affinity block locations for data blocks of the file.

#### SET_TIMES

    public static final IgfsIpcCommand SET_TIMES

Updates last access and last modification time for a path.

#### OPEN_READ

    public static final IgfsIpcCommand OPEN_READ

Open file for reading as an input stream.

#### OPEN_APPEND

    public static final IgfsIpcCommand OPEN_APPEND

Open existent file as output stream to append data to.

#### OPEN_CREATE

    public static final IgfsIpcCommand OPEN_CREATE

Create file and open output stream for writing data to.

#### CLOSE

    public static final IgfsIpcCommand CLOSE

Close stream.

#### READ_BLOCK

    public static final IgfsIpcCommand READ_BLOCK

Read file's data block.

#### WRITE_BLOCK

    public static final IgfsIpcCommand WRITE_BLOCK

Write file's data block.

#### CONTROL_RESPONSE

    public static final IgfsIpcCommand CONTROL_RESPONSE

Server response.

### Method Detail

#### values

    public static IgfsIpcCommand[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IgfsIpcCommand c : IgfsIpcCommand.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IgfsIpcCommand valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    public static IgfsIpcCommand valueOf(int ordinal)

Resolve command by its ordinal.

Parameters:
  `ordinal` - Command ordinal.
Returns:
  Resolved command.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015